# blob.hpp File Reference

Support for storing random binary data. More...

`#include "../core/alloc_func.hpp"`

Go to the source code of this file.

## Data Structures
class | ByteBlob
| Base class for simple binary blobs. More...
struct | ByteBlob::BlobHeader
| header of the allocated memory block More...
class | CBlobT< T >
| Blob - simple dynamic T array. More...
struct | CBlobT< T >::OnTransfer

## Detailed Description

Support for storing random binary data.

Definition in file blob.hpp.